# Class SymbolLayer


### Extends
* [Layer](_layer_.layer.md)

## Index

### Constructors
* [constructor](_layer_.symbollayer.md#constructor)

### Properties
* [_layer](_layer_.symbollayer.md#_layer)
* [_map](_layer_.symbollayer.md#_map)
* [_source](_layer_.symbollayer.md#_source)
* [draggable](_layer_.symbollayer.md#draggable)
* [id](_layer_.symbollayer.md#id)
* [type](_layer_.symbollayer.md#type)

### Methods
* [addTo](_layer_.symbollayer.md#addto)
* [off](_layer_.symbollayer.md#off)
* [on](_layer_.symbollayer.md#on)

## Constructors

### new SymbolLayer(layer: any): [SymbolLayer](_layer_.symbollayer.md)
  
* Overwrites [Layer](_layer_.layer.md).[constructor](_layer_.layer.md#constructor)
* Defined in Layer.ts:287


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| layer | any|  |

#### Returns: [SymbolLayer](_layer_.symbollayer.md)

## Properties

### _layer: any

* Inherited from [Layer](_layer_.layer.md).[_layer](_layer_.layer.md#_layer)
* Defined in Layer.ts:13


### _map: any

* Inherited from [Layer](_layer_.layer.md).[_map](_layer_.layer.md#_map)
* Defined in Layer.ts:15


### _source: any

* Inherited from [Layer](_layer_.layer.md).[_source](_layer_.layer.md#_source)
* Defined in Layer.ts:14


### draggable: boolean

* Inherited from [Layer](_layer_.layer.md).[draggable](_layer_.layer.md#draggable)
* Defined in Layer.ts:16


### id: string

* Inherited from [Layer](_layer_.layer.md).[id](_layer_.layer.md#id)
* Defined in Layer.ts:12


### type: string

* Inherited from [Layer](_layer_.layer.md).[type](_layer_.layer.md#type)
* Defined in Layer.ts:17


## Methods

### addTo(map: [Map](_map_.map.md)): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[addTo](_layer_.layer.md#addto)
* Defined in Layer.ts:37


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [Layer](_layer_.layer.md)

### off(event?: string, listener?: any): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[off](_layer_.layer.md#off)
* Overwrites [Events](_events_.events.md).[off](_events_.events.md#off)
* Defined in Layer.ts:58


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event? | string|  |
| listener? | any|  |

#### Returns: [Layer](_layer_.layer.md)

### on(event: string, listener: any): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[on](_layer_.layer.md#on)
* Overwrites [Events](_events_.events.md).[on](_events_.events.md#on)
* Defined in Layer.ts:45


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |

#### Returns: [Layer](_layer_.layer.md)


Generated using [TypeDoc](http://typedoc.io)
